Update Subcategory#
Updates a subcategory. Optional category_image jpeg/png/jpg/gif, max 2 MB. Requires manage-knowledge-hub-categories.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
idstringpathrequired
Base64 id from the matching list or builder. A raw numeric id is also accepted.
titlestringbodyrequired
Title. Max 255 characters
statusstringbodyrequired
published or draft
comment_statusstringbodyrequired
enabled, hidden, or locked
descriptionstringbody
Optional description
category_imagefilebody
Optional replacement image
curl --request PUT \
--url https://app.rizzdial.com/api/knowledge-hub/subcategories/update/MQ== \
--header 'Authorization: Bearer {{bearer_token}}' \
--form 'title=Basics' \
--form 'status=published' \
--form 'comment_status=enabled'messagestring
Subcategory updated successfully.
dataobject
Updated subcategory with base64 id
POST /api/knowledge-hub/subcategories/update/{id} is the same endpoint.